<?php

class Valide_View_Helper_FlashMessenger extends Zend_View_Helper_FormElement
{
    public function flashMessenger()
    {
        $flashMessenger = Zend_Controller_Action_HelperBroker::getStaticHelper('FlashMessenger');
        $html = '';
        foreach ($flashMessenger->getTypes() as $type) {
            $messages = $flashMessenger->getMessages($type);
            if (!$messages) {
                $messages = $flashMessenger->getCurrentMessages($type);
            }
            if ($messages) {
                if (!$html) {
                    $html .= '<ul id="messages">';
                }
                $html .= '<li class="' . $type . '">';
                $html .= '<ul>';
                foreach ( $messages as $message ) {
                    $html .= '<li>';
                    $html .= $message->message;
                    $html .= '</li>';
                }
                $html .= '</ul>';
                $html .= '</li>';
            }
        }
        if ($html) {
            $html .= '</ul>';
        }
        return $html;
    }
}

