<?php

class Valide_View_Helper_Translations extends Zend_View_Helper_Abstract
{
  public function translations()
  {
    $translate = Zend_Registry::get('Zend_Translate');
    $langs = array_merge(array('en' => 'en'),
                         $translate->getAdapter()->getList());

    $html = '<div id="lang">';
    $html .= '<ul>';
    if(!empty($langs)) {
      foreach($langs as $lang) {
        $html .= '<li><a href="'. $this->view->url(array('controller' => 'content', 'action' => 'language', 'lang' => $lang)) .'"><img src="/images/lang/'. $lang .'.png" alt="'. $lang .'" /></a></li>';
      }
    } else {
      $html .= '<li><img src="/images/lang/en.png" alt="en" /></li>';
    }
    $html .= '</ul>';
    $html .= '</div>';
    return $html;
  }
}

